from distutils.core import setup
import package_info

setup(
    name = package_info.name,
    version = package_info.version,
    description = 'Run-script generation for earth system models',
    long_description = open('README.txt').read(),
    author = 'Karl-Hermann Wieners',
    author_email = 'karl-hermann.wieners@mpimet.mpg.de',
    url = 'http://code.mpimet.mpg.de/projects/esmenv',
    py_modules = ['configobj', 'validate', 'feedback', 'expconfig', 'files', 'package_info'],
    scripts = ['mkexp', 'getexp', 'rmexp', 'diffexp', 'diffpath', 'cpexp', 'cppath'],
    data_files = [('share/doc/'+package_info.name, ['doc/mkexp.pdf'])],
    platforms = ['Posix'],
    license = 'LICENSE.txt',
    requires = ['Jinja2(>= 2.6)']
)
